package org.implab.gradle.containers.tasks;

import java.io.IOException;
import java.util.concurrent.ExecutionException;

import org.gradle.api.tasks.TaskAction;

public abstract class ComposeStop extends DockerCliTask implements ComposeTaskMixin {

    public ComposeStop() {
        applyComposeConvention();
    }

    @TaskAction
    public void run() throws InterruptedException, IOException, ExecutionException {
        exec(docker().compose(this).stop());
    }
}